//deployer Server header
// Copyright (C) 2024 Jean-Cloud
// GNU General Public License v3

#if !defined(SERVER_H)
#define SERVER_H

#include <string>
#include <list>
using namespace std;

class Server{
    public:
    Server(int anID,string aName,string aLocation,string anISP,string aNotes,string aWg_pubkey,list<int> anIPs):ID(anID),name(aName),location(aLocation),ISP(anISP),notes(aNotes),wg_pubkey(aWg_pubkey),IPs(anIPs){};
    ~Server(){}

    private:
    int ID;
    string name;
    string location;
    string ISP;
    string notes;
    string wg_pubkey;
    list <int> IPs;
};
#endif 